
package de.ivu.elect.business.benutzerverwaltung.control;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.entity.Rolle;
import de.ivu.elect.business.mandant.boundary.MandantDAO;

public class RolleCreate extends AbstractRolleCreate {

  public RolleCreate() {
    super();
  }

  @Inject
  private transient MandantDAO mandantDAO;

  @Override
  public void save(Rolle entity) {
    entity.setMandant(mandantDAO.attach(entity.getMandant()));
    super.save(entity);
  }
}
